import type { CompactReplaceOp } from '../codec/compact/types';
import { AbstractOp } from './AbstractOp';
import type { OperationReplace } from '../types';
import { type Path } from '@jsonjoy.com/json-pointer';
import { OPCODE } from '../constants';
/**
 * @category JSON Patch
 */
export declare class OpReplace extends AbstractOp<'replace'> {
    readonly value: unknown;
    readonly oldValue: unknown;
    constructor(path: Path, value: unknown, oldValue: unknown);
    op(): "replace";
    code(): OPCODE;
    apply(doc: unknown): {
        doc: unknown;
        old: {} | null;
    };
    toJson(parent?: AbstractOp): OperationReplace;
    toCompact(parent: undefined | AbstractOp, verbose: boolean): CompactReplaceOp;
}
